# IndexService

Package io.milvus.v2.service.index

## Class IndexService

- java.lang.Object
- - io.milvus.v2.service.BaseService
  - - io.milvus.v2.service.index.IndexService

    public class IndexService
    extends BaseService

### Field Summary

### Fields inherited from class io.milvus.v2.service.BaseService

`convertUtils, dataUtils, rpcUtils, vectorUtils`

### Constructor Summary

Constructors
`IndexService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createIndex​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub, CreateIndexReq request)`
`DescribeIndexResp` `describeIndex​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub, DescribeIndexReq request)`
`void` `dropIndex​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub, DropIndexReq request)`
`java.util.List<java.lang.String>` `listIndexes​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub, ListIndexesReq request)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IndexService

    public IndexService()

### Method Detail

#### createIndex

    public void createIndex​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub,
                            CreateIndexReq request)

#### dropIndex

    public void dropIndex​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub,
                          DropIndexReq request)

#### describeIndex

    public DescribeIndexResp describeIndex​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub milvusServiceBlockingStub,
                                           DescribeIndexReq request)

#### listIndexes

    public java.util.List<java.lang.String> listIndexes​(io.milvus.grpc.MilvusServiceGrpc.MilvusServiceBlockingStub blockingStub,
                                                        ListIndexesReq request)